simulate-methods {unmarked} | R Documentation

## Methods for Function simulate in Package ‘unmarked’

### Description

Simulate data from a fitted model.

### Usage

    ## S4 method for signature 'unmarkedFitColExt'
    simulate(object, nsim, seed, na.rm)
    ## S4 method for signature 'unmarkedFitDS'
    simulate(object, nsim, seed, na.rm)
    ## S4 method for signature 'unmarkedFitMPois'
    simulate(object, nsim, seed, na.rm)
    ## S4 method for signature 'unmarkedFitOccu'
    simulate(object, nsim, seed, na.rm)
    ## S4 method for signature 'unmarkedFitOccuRN'
    simulate(object, nsim, seed, na.rm)
    ## S4 method for signature 'unmarkedFitPCount'
    simulate(object, nsim, seed, na.rm)

### Arguments

`object` | Fitted model of appropriate S4 class
`nsim` | Number of simulations
`seed` | Seed for random number generator. Not currently implemented
`na.rm` | Logical, should missing values be removed?

### Methods

object = "unmarkedFitColExt"

  A model fit by `colext`

object = "unmarkedFitDS"

  A model fit by `distsamp`

object = "unmarkedFitMPois"

  A model fit by `multinomPois`

object = "unmarkedFitOccu"

  A model fit by `occu`

object = "unmarkedFitOccuRN"

  A model fit by `occuRN`

object = "unmarkedFitPCount"

  A model fit by `pcount`

[Package unmarked version 0.12-3 Index]